org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlLabeledElement

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlLabeledElement

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlLabeledElement
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

  The edm:LabeledElement expression assigns a name to a child expression. The value of the child expression can then be reused elsewhere with an edm:LabeledElementReference (See `CsdlLabeledElementReference`) expression.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlLabeledElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getName()` Returns the assigned name
    `CsdlExpression` | `getValue()` Returns the child expression
    `int` | `hashCode()`
    `CsdlLabeledElement` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlLabeledElement` | `setName(String name)`
    `CsdlLabeledElement` | `setValue(CsdlExpression value)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlLabeledElement

          public CsdlLabeledElement()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlLabeledElement setAnnotations(List<CsdlAnnotation> annotations)

    - #### getName

          public String getName()

      Returns the assigned name
      Returns:
        assigned name

    - #### setName

          public CsdlLabeledElement setName(String name)

    - #### getValue

          public CsdlExpression getValue()

      Returns the child expression
      Returns:
        child expression

    - #### setValue

          public CsdlLabeledElement setValue(CsdlExpression value)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.